Subject: zipf computations & experimental cmavo (was: Re: META : Who is everyone

From: And Rosta <[email-masked]>
Date: Tue, 25 Sep 2001 15:57:40 +0100

My sense is that major cmavo zipfings would not belong to existing selmaho.
However, one possibility would be to try to restrict zipfer cmavo to
string abbreviations i.e. a zipfer cmavo is equivalent to a determinate
longer string of Lojbab words. Then the zipfer cmavo could be expanded to 
the longer string at a preparser stage. (I'm talking about a kind of lojban
equivalent of "IIRC" and "IMHO" and "OTOH", imagining that those
abbreviations were pronounced "irk" "im-ho", "o-toe".)

The need for zipfer cmavo of this sort could be computed automatically, if 
someone wrote the necessary software & all usage was fed into it. The software would
consider the frequency of every wordstring, relative to its syllablecount, and calculate
how many syllables in usage could be saved by replacing the wordstring by an
experimental cmavo. Savings significant enough to justify the effort of learning the
experimental cmavo could then justify adding the cmavo to the language. I
calculate that there are 1224 disyllabic experimental cmavo (of CVVV and
CVVVV type), which is sure to exceed demand both for zipfer cmavo and for
new nonzipf cmavo. Perhaps also this software could be used for making a case
for reassigning some monosyllabic cmavo; e.g. I would love to reassign {lau}
as an abbreviation for tetrasyllabic {tu'odu'u}. At any rate, software of this sort
would allow us to gauge the level of 'zipfean defectiveness' in the language
-- the extent to which the language design imposes superfluous syllables onusage.

There still remains the question of how to zipf down long lujvo whose syllablecount
is excessive relative to their frequency, but Type IV fuhivla might providea
solution here.

--And.

>>> Richard Curnow <[email-masked]> 09/23/01 10:10pm >>>
Adding new cmavo to existing selma'o is a relatively simple change in
jbofi'e. Adding new selma'o would presumably involve adding new grammar
rules (else why would you need them) - the complexity would vary on a
case-by-case basis. Also there are parts of the 'back-end' (e.g.
working out which terms are which arguments of each selbri) which have a
lot of grammatical structure hard-coded in.

On Thu, Sep 20, 2001 at 05:41:27PM -0400, Bob LeChevalier (lojbab) wrote:
> At 12:31 PM 9/20/01 +0100, And Rosta wrote:
> 
> >Either that or
> >we encourage people to experiment with using their own zipfing experimental
> >cmavo, possibly with concomitant grammar changes, and then see which
> >experimentals catch on.
> 
> Experimental cmavo have no defined grammar, so using them is not a "grammar 
> change". However you have to be skilled enough at the language to be able 
> to communicate without having a jbofi'e to parse and translate your 
> experiments, since jbofi'e won't likely be able to incorporate all of them 
> even if Curnow wanted to try (some might not pass LALR1)

-- 
Richard.
---------------------------------+-------------------------------------
Richard P. Curnow | C++: n., An octopus made by
Weston-super-Mare, UK | nailing extra legs on a cat.
http://www.rrbcurnow.freeuk.com/ |

To unsubscribe, send mail to [email-masked] 

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/